﻿# You can place the script of your game in this file.



init python:

    style.nvl_window.background = "#FFFFFF70"
    
init:
    image bg bat = "bat.png"
    image bg gate = "gate.png"
    image bg johnny = "johnny.png"
    image bg johnny2 = "johnny2.png"
    image bg milly = "milly.png"
    image bg jack = "jack.png"
    image bg samantha = "samantha.png"
    image bg samantha2 = "samantha2.png"
    image bg village = "village.png"
    image bg sky = "sky.png"
    image bg vampire = "vampire.png"
    image bg white = "#FFFFFF"
    
       
 
    # Declare characters used by this game.
    $ narrator = Character(None, kind=nvl)


# The game starts here.
label start:
    play music "daily.mp3" fadein 1.0
    scene black with dissolve
    show text "{color=#FFFFFF}This is a vampire story." with dissolve
    $ ui.pausebehavior(3, result="skip")
    $ ui.interact()
    hide text with dissolve
    
    scene bg milly with dissolve
    show text "\"Do you believe in vampires?\""  with dissolve
    $ ui.pausebehavior(1, result="skip")
    $ ui.interact()
    hide text with dissolve
    
    "was the question, Milly, my rabbit asked me."
    
    
    "Now it might strike you as odd that a rabbit could actually talk, but remember, this was a time before silly notions like logic and common sense were invented."
    "And it was just as well, otherwise, I would have turned back at that very instant."

    "Still, before they earned their reputation as nasty, superhuman bloodsuckers, vampires were once viewed as nothing more than slightly eccentric humans who don't like to come out during the day."
    nvl clear
    
    
    "It turns out that Milly stumbled upon a real vampire's lair on one of her foraging expeditions. She said that his name was Johnny and he was once a noble, but became a vampire in his old age."
    
    
    "At that time, I was about 7-8 years old give or take. Thus, the prospect of meeting a real live vampire struck me as very exciting. I mean, wouldn't it be cool to be the first kid on the block to have a real vampire friend? Of course it would!"
    nvl clear
    scene bg white with dissolve
    
    "So, unwittingly I let Milly lead me straight into the vampire's lair. It was a really long walk along this dense trail in the forest. It was like no one had been using that trail for a very long time." 
    
    "We came upon some metallic gates. They were kept uninvitingly closed by a padlock and some metal chains."
    scene bg gate with dissolve
    
    
    "Seemingly unperturbed, Milly hopped towards the gates and turned to me."
    
    scene bg milly with dissolve
    centered "\"Alright, Samantha, now use this key to open the gates. I can't reach them.\""
    
    
    "Milly held a shiny silver key in her right paw."
    nvl clear
    
    scene bg samantha with dissolve
    centered "\"Uh… how exactly did you get this?\""
    scene bg milly with dissolve
    centered "\"Oh, I just found it lying on the ground.\""
    
    scene bg samantha with dissolve
    centered "\"Oh, okay.\""
    
    
    "With a click and a thud, the padlock and chains fell to the ground and, though with strained creaks from years of neglect, the gates slowly gave way as I forced one side open with all my strength."
    
    nvl clear
    scene bg white with dissolve
    
    
    "It was dark now, there was still a long walk from the yard to the vampire's mansion, but I didn't care. There were no ominous hooting and howling sounds from the creatures of the night. No, this was a time before people invented that sort of silliness and implanted them forever in the minds of children everywhere. Only a bright starlit sky with a smiling crescent moon accompanied our journey."
    
    
    "Reaching the weathered but elegant looking double doors, I hesitantly grabbed the metal knocker, gave it two quick knocks and stepped back to wait for the response from inside."
    
    
    "There was none. Milly and I looked at each with bewildered looks on our faces, or at least I had one on. It's hard to tell a rabbit's facial expressions."
    
    
    "A sudden gust of wind blew behind us and struck the doors. As if sighing in protest, the double doors creakily flung wide open, leaving us free to enter."
    
    nvl clear
    
    
    "Upon entering the mansion, I noticed a huge chandelier hanging on the ceiling and lighting the first room, which was like a huge lobby. There were twin stairs in front that led to a balcony." 
    play music "vampire.mp3" fadein 1.0
    scene bg johnny with dissolve
    
    "Then, I glanced up and saw him, Johnny. Clad in fancy nobleman's clothing, he looked totally different from how I imagined him. Based on Milly's story I was expecting a withered old man, but instead, I saw a young man in his late twenties with a slender physique, long, jet black hair, tied up in a ponytail and deep, crystalline blue eyes."


    "He greeted us with a smile."
    
    
    "\"Hello there, little girl. I've been expecting you.\""
    
    scene bg samantha with dissolve
    centered "\"You have?\" I asked confused."
    
    nvl clear
    
    scene bg johnny with dissolve
    "\"Yes, yes. Your little friend Milly told me all kinds of stories about you.\""
    
    
    "I turned to Milly who looked at me with a sheepish smile, or as sheepish as a rabbit's smile can get."
    
    scene bg samantha with dissolve
    centered "\"You've been expecting me?\""
    
    scene bg johnny with dissolve
    "\"I have indeed.\""
    
    
    "Elegantly, he descended from the staircase and made his way towards me. He was a tall man and I would have been intimidated, but he also evoked a friendly atmosphere that made me feel at ease."
    
    nvl clear
    
    "\"Yes, Samantha. I've been waiting for you for a long, long time. But, you must be tired from your journey. May I invite you to share dinner with me?\""
    scene bg samantha with dissolve
    centered "\"Oh, thank you sir, I am kinda hungry right now.\""
    nvl clear
    scene bg white with dissolve
    "Dinner was delicious! We had steak, mashed potatoes and carrots. I didn't like the carrots, so I gave them to Milly. It was hard to concentrate on the meal while sitting right across Johnny, though. He just had this certain flair, this air of eccentricity and confidence around him that made me feel inept. Not to mention that he looked really handsome. Still, I couldn't see what was so vampiric about him. He seemed to be a very ordinary young gentleman."
    
    nvl clear

    "After dinner, he led us into this cozy little room with a fireplace and a big comfy chair in front. Johnny offered me a seat and I accepted. Then, he paced the floor in slow, deliberate steps while Milly and I looked on. He didn't seem bothered by our curious stares."
    
    scene bg johnny with dissolve
    "\"Well, Samantha, I think Milly might have asked you before, but, do you believe in vampires?\""
    
    
    "I thought for a moment before replying."
    
    scene bg samantha with dissolve
    centered "\"I'm not really sure, sir. I think I want to believe in them though.\""
    scene bg johnny with dissolve
    "\"Ha ha ha! What a candid answer. Do you not believe that I am a vampire, Samantha?\""
    nvl clear
    
    
    "\"I'm not sure, sir.\""
    
    "\"Wait a moment,\" then he gave me a sly grin, \"now….\""
    
    centered "POOF!"
    
    scene bg bat with dissolve
    
    "And with a cloud of pure white smoke, Johnny's body disappeared before my eyes. When the smoke had finally cleared, he had transformed into a sort of black, rat-like bird. People would later label this creature as a bat."
    
    
    "Flapping its dark, tattered looking wings, the creature hovered above me and talked to me in Johnny's voice."
    
    
    centered "\"Now do you believe me?\""
    
    
    "Awestruck, I replied, \"Oh yes, sir. I've never seen anyone who could do something so magical. You must be a real vampire.\""
    
    
    centered "POOF!"
    nvl clear
    scene bg johnny with dissolve
    
    "And with another puff of magical smoke, Johnny reverted to human form and was standing right in front of me again."
    
    "Ahahaha! So, Samantha, as you can see, I really am a vampire with magical powers."
    scene bg samantha with dissolve
    
    "\"Oh yes. I definitely believe you now, but if I may ask… how come you know Milly?\""
    
    
    "I glanced at Milly who just gave me a resigned shrug."
    
    
    scene bg johnny with dissolve
    "\"Hmm~~?\" Johnny's smile looked kinda scary at this point, \"Let's just say… Milly was my pet long before she became yours, Samantha.\""
    nvl clear
    
    "\"What? Really? Then I should return her to you, sir.\""


    "\"No, no. There's no need for that, Samantha. You can keep her, but in exchange…\""
    
    
    "\"In exchange?\""
    

    "I didn't know what he wanted to exchange with me. What could a little girl like me possibly offer someone like Johnny?"
    nvl clear
    
    scene bg johnny with dissolve
    centered "\"I want you to keep me company.\""
    

    "\"Eh?\" I was taken aback by his request – and by the straightforwardness by which he made it."
    
    nvl clear

    "\"Samantha, I know that you're an orphan. I've been watching over you for a long time through Milly. You are old enough now to make your own decisions.\"" 

    "\"This is why I've asked Milly to lead you here. I want your companionship. I want you to stay with me here and tell me stories – stories of your world. However, if you choose to stay, I'm afraid I cannot allow you to go out again. So I will let you decide. Will you stay here with me?\""
    
    
    nvl clear
    scene bg white with dissolve
    play music "daily.mp3" fadein 1.0
    "I closed my eyes. It was a hard decision for a child of my age to make… and yet, because I was a child, it was also so much easier." 
    
    "For as far back as I could remember, I had always been alone. Milly had been my only friend, but she actually belonged to Johnny. I saw no compelling reason not to accept his offer."

    "Johnny was the person who sent Milly to watch over me. I was indebted to him and all he wanted in return was my companionship." 
    
    "It wouldn't be so hard not being able to go out. This mansion was huge. Surely, it had everything that one could ever want or need if a vampire like Johnny could stay here for so long."
    nvl clear
    

    centered "And so… I accepted."
    
    

    centered "\"Yes, I'll stay.\""
    
    
    "And so I chose to stay with Johnny. For years upon years, we kept each other company within the confines of his estate. Johnny was very kind and he always listened to my stories with such delight in his eyes. I would have been content to stay there forever…but…"
    

    "Before long, I had grown into a young woman. At this point, I had no more stories to share with Johnny and Milly was long gone – taken by an unknown illness." 
    
    "The seeds of adventure had begun to take root inside me. I longed to see the outside world that I had left so long ago."
    
    

    "Still, I could not break my promise with Johnny. I was not allowed to go out and I would not disobey his one request of me."
    nvl clear
    scene bg samantha2 with dissolve
    

    "So I contented myself by staring out the window and basking in the comforting rays of the morning sun during the day. I imagined what it would be like to be out there – to encounter all sorts of different people and new experiences."
    
    
    
    "Day after day, I would return to the same spot and stare outside." 
    
    "With only Johnny to keep me company, I longed more than ever to once again venture out into the world, even for just a few brief moments."
    
    

    "My longing didn't go unnoticed. It was a pristine day. The sun was shining brightly but the heat wasn't painful. I was at my usual spot when I saw Johnny coming down from his room." 
    nvl clear
    
    "He was dressed in more flamboyant clothes than usual."
    

    "Johnny approached me with slow deliberate steps, the same way he had when I first met him. He stopped a few paces before me and bowed gracefully. I had no idea what to expect."
    

    "\"Lady Samantha, would you join me for a walk outside?\""
    
    "I was awestruck. It had come so suddenly and he said it so nonchalantly as if it were nothing. My heart pounded with excitement. I didn't know what to say – so I didn't. I simply took his hand and allowed him to lead the way."

    nvl clear
    
    
    "I don't know what made him change his mind about the pact, but I couldn't care less. I had been waiting for this day for far too long."
    
    

    "And then… we lived happily ever after…{w} if only that were true."

    "But things did not bode so well for us as soon as we stepped past the estate's metal gates. The dark clouds hanging overhead should have been sufficient warning. Perhaps Johnny had noticed them, but I was far too engrossed in my own selfish thoughts to care about anything."
    
    scene bg village with dissolve
    "We came upon the town where I once lived. Johnny was taking in the view with child-like curiosity."
    
    nvl clear

    "It was such a glorious day. We blended in quite well with the townspeople. Apart from a few inquisitive glances at Johnny's handsome, ever-youthful face, nobody paid any particular attention to us. It should have ended there, with just the two of us happily exploring the shops, sights and sounds that the town had to offer. Afterwards, we would return to our cozy residence and talk until dawn of our experiences."
    
    

    "If only I hadn't met him…"
    
    
    play music "sadvillage.mp3" fadein 1.0
    "\"Samantha! Heeey! Samantha, is that really you?\""
    nvl clear
    

    "I turned to find a young man about my age running towards us. He looked vaguely familiar."

    "\"Hey, remember me? I'm Jack, your neighbor back when were kids.\""
    

    "\"Jack! Now I remember. How have you been?\""

    "\"An old friend, Samantha?\""
    

    "\"Yes, Johnny. Meet Jack, a childhood friend of mine. Jack, this is Johnny. He's been taking care of me. He's a vampire.\""
    
    
    scene bg jack with dissolve
    nvl clear
    "\"Huh? Pfft! You've gotta be kidding me!\""
    

    "\"Why? What makes you say that?\""

    "\"You still believe in vampires at your age, Samantha?\""
    

    "\"Well, why shouldn't I?\""
    
    scene bg village with dissolve
    "\"Bwahahaha! This is priceless! Hey, everyone. Check this out!\""

    "Jack seemed to command some respect in the town. No sooner had he said that when a small crowd had gathered around us."
    
    

    "\"Samantha here says that this guy is a vampire.\" Jack pointed at Johnny while chuckling."
    
    

    "\"Get real!\" One of the townspeople cried out."
    
    

    "\"If he's a real vampire, then why doesn't he eat you?\" Another bystander asked me."
    
    

    "\"Eat me? Why would he do that? Vampires are friendly, magical beings.\""
    
    nvl clear
    

    "\"Get outta here! What kind of bubble have you been living in? That type of vampire was phased out years ago.\""
    

    "\"Phased out?\" Johnny inquired. He was just as confused as I was."
    
    
    scene bg jack with dissolve
    "\"Look, you. If you were a vampire, then there's only one reason that you'd be with this girl here,\" said Jack arrogantly."
    
    

    "\"And that would be?\" asked a bewildered Johnny."
    

    "\"Duh! You're planning to drink her blood someday, of course. That's how vampires operate.\""
    nvl clear
    
    "I couldn't believe what I was hearing, why was Jack saying such terrible things? I turned to Johnny, and what I saw shocked me even more."
    scene bg johnny with dissolve
    $ ui.pausebehavior(2, result="skip")
    $ ui.interact()
    scene bg vampire with dissolve
    "Instead of the handsome face that I had come to know and love, I saw a pale-white visage with twin fangs. The face that was once Johnny's now looked like a creature of pure hunger and bloodlust."
    
    "\"AAAAH! Run for your lives! He really is a vampire! He's going to rip us to shreds and drink all our blood!\""
    
    

    "In a chorus of panicked, frenzied screams, the townspeople dispersed, leaving only me, Johnny and Jack behind. Strangely enough, Jack seemed unimpressed by Johnny's sudden transformation, or perhaps it's because Johnny had always been that way in his eyes."
    scene bg jack with dissolve
    nvl clear
    

    "\"And a few other things,\" Jack continued, \"vampires are creatures of the night.\""
    
    

    "I wanted to rebut his assertions. I wished that I had been more eloquent, wiser, that I might come to Johnny's defense. But I wasn't. I was helpless as even I found myself seeing more and more truth in what Jack was saying."
    
    

    "Johnny did not utter a word in retort. He merely closed his eyes as if in total acceptance of Jack's words. But, I couldn't stand this anymore. I had to come to the aid of my benefactor. At least, I had to say something."
    
    

    "As if he read my mind, Johnny blocked my path just as I was about to step forward."
    scene bg vampire with dissolve
    

    "\"I'm afraid he's right, Samantha. Open your eyes and look at me.\" Johnny said sadly."

    "I refused to look at him… to look at the creature that he had suddenly become – no, that he had always been."
    nvl clear
    
    scene bg jack with dissolve
    "\"Stop living in a bubble, Samantha,\" Jack said scornfully, \"there've been numerous discoveries about vampires during the time you were away.\""
    
    

    "I didn't want to hear about it. I had grown up in the belief that emotions were private. That vampires were nice people who had magical powers. I had been living on the surface, never going any deeper, and Jack was forcing my very reality to crumble before my eyes."
    

    "Jack mercilessly continued."
    

    centered "\"And you know what else there is about vampires?\"" 
    centered "\"They… die when exposed to sunlight.\""
    
    scene bg white with dissolve
    nvl clear
    "\"No!\" I screamed in anguish and protest."
    
    

    "No sooner had Jack said this when Johnny's body began to literally go up in smoke before my very eyes. Johnny just stared at his own burning flesh, seemingly awestruck."

    "\"Why did you have to do that, Jack? Sure, I've been living in a bubble, but it was very nice and cozy bubble!\""
    
    

    "Jack closed his eyes and smiled annoyingly."
    scene bg jack with dissolve
    
    "\"What can I say, Samantha? I just wanted you to improve your world views. You're an adult now. You'll never amount to anything if you stubbornly cling to archaic perspectives.\""
    
    

    "Tears fell from my eyes and streamed down my cheeks. I couldn't say anything back at him. Then, Johnny touched my shoulder gently, even though the pain on his skin must have been unbearable."
    
    

    "\"Samantha, you'll have to forgive me for just this one time...\""
    
    nvl clear
    "SMACK!"
    with vpunch
    play sound "hithard.mp3"

    "Johnny unleashed a vicious left hook on Jack's cheek leaving him instantly unconscious."
    
    scene bg vampire with dissolve
    
    "\"That'll teach you to make my little girl cry. C'mon, Samantha…{w} it's time to go home.\""
    nvl clear
    scene bg white with dissolve
    "Johnny's voice was strained. I hung his arm around my back and together, we walked slowly and surely back towards the forest – back home. The townspeople were long gone and a tranquil silence now filled the air around us."
    play music "sad.mp3" fadein 1.0
    "Johnny's body felt heavy against mine. I wasn't sure if I would be able to support his weight all the way back, but it didn't matter. I had to try."
    nvl clear
    
    scene bg johnny2 with dissolve
    "\"Samantha… I am dying now…\""
    

    "\"… Johnny… I-I don't know what I would do without you.\""

    "\"Ahahaha… aren't you glad, child? You will be free from now on. You can see the world. Haven't you always dreamt of doing that?\""
    

    "\"It would be meaningless without you!\""
    

    "\"I see… it makes me so happy to hear that.\""
    

    "\"Johnny…?\""
    

    "\"Because…Samantha… from the moment I first laid my eyes on you…\""
    nvl clear
    "The tears that I had been trying to hold back welled up in my eyes and ceaselessly streamed down my cheeks. I didn't want him to say it. I didn't want him to say anything with finality."
    

    "\"You had already taken my heart.\""
    scene bg sky with dissolve
    

    centered "Step by agonizing step, I struggled, even as I began to lose all sensation in my legs. I urged myself to continue walking for Johnny who was counting on me."

    centered "He had stopped talking some time ago, but his body somehow felt lighter. At that moment, I knew that we would make it back together."

    centered "I turned to my side to look at his face. Gone was the pale-white creature with fangs of bloodlust that I had seen before. Now, he was only Johnny, the same Johnny who had loved and raised me to be who I am today;" 
    
    centered "the handsome and ever-youthful vampire who had sent his familiar to keep me company."

    nvl clear
    scene bg white with dissolve
    
    
    
    "Milly once asked me, \"Do you believe in vampires?\""

    "I didn't need to answer her, because in my heart, we've always known the answer." 
    
    "I wanted to believe in vampires and that is all that matters."

    "Once I made the mistake of letting myself be swayed by sweet words anchored on logic and common sense, because of this, I lost something irreplaceable."

    "Never again would I allow that to happen. I would live out the rest of my life staying true to myself and to my own beliefs. I may not always choose the right path, but now I have Milly and Johnny by my side all the time to correct me when I'm wrong."
    

    centered "The spirits of our loved ones continue to guide us beyond death,{w} didn't you know?"
    

    
    
    play music "credits.mp3" fadein 1.0
    show text "The End" with dissolve
    $ ui.pausebehavior(5, result="skip")
    $ ui.interact()
    hide text with dissolve
   
    show text "STORY AND ART{p}lordcloudx" at Move((0.5, 1.2), (0.5, -0.2), 5.0, xanchor="center")
    
    
    
    $ ui.pausebehavior(5, result="skip")
    $ ui.interact()
    show text "ADDITIONAL BACKGROUNDS{p}http://shass.sakura.ne.jp/" at Move((0.5, 1.2), (0.5, -0.2), 5.0, xanchor="center")
    
    

    $ ui.pausebehavior(5, result="skip")
    $ ui.interact()
    show text "MUSIC{p}SENTIVE{p}http://www.sentive.net/" at Move((0.5, 1.2), (0.5, -0.2), 5.0, xanchor="center")
   
    $ ui.pausebehavior(5, result="skip")
    $ ui.interact()
   
    show text "Made With{p}REN'PY{p}... and love" at Move((0.5, 1.2), (0.5, -0.2), 5.0, xanchor="center")
   
    $ ui.pausebehavior(5, result="skip")
    $ ui.interact()
   
    nvl clear
    "Would you like to read the Author's Notes?"

menu choice1:
    ""

    "Yes":
        jump author

    "No":
        return
    
label author:
    nvl clear
    "Hello, this is lordcloudx, here to give you my short ramblings about this piece."
    
    "The first question that might come to mind would probably be based on the title, Allusions - thus, \"What exactly ami I alluding to?\""
    nvl clear
    "To answer this question, let's look at the structure of the story and the little hints left behind by yours truly. In the first few parts of the story, I made a point of using the line:"
    "\"...this was a time before silly notions like logic and common sense were invented.\""
    
    "The reason that I used this line, specifically, is to prepare the reader's mind for what is come. Yes, this is a fantasy story and yes, it will require some suspension of disbelief to be enjoyable, thus, please throw common sense (or a majority of it) out the window temporarily."
    
    "Now as to the title itself, you'll find, or at least I hope you did, that a lot of the dialogue exchanged between the characters can be applied to similar situations in different settings in real life, as well as in online interactions, and basically, any place where some form of society exists. I won't bother trying to deconstruct the rest of my writings for you, but this should give you a general idea as to where I was going with this story."
    
    nvl clear
    "That's it for now and I hope you enjoyed Allusions or it has, at the very least, reached out to you in some way, and may we see each other again in future stories.{p}-lordcloudx."

    return
    
    
    
    